CREATE SEQUENCE "fid" start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1;

CREATE SEQUENCE "import_id" start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 cycle;

CREATE SEQUENCE "serial_id" start 7 increment 1 maxvalue 2147483647 minvalue 1 cache 1 cycle;

CREATE SEQUENCE "insert_id" start 101 increment 1 maxvalue 2147483647 minvalue 1 cache 1 cycle;

CREATE SEQUENCE "profile_id" start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1 cycle;


CREATE TABLE "prg_dlist" (
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text
);

CREATE TABLE "del_dlist" (
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text
);

CREATE TABLE "foldersettings" (
	"username" text,
	"sent" text,
	"trash" text,
	"drafts" text,
	"spam" text,
	"templates" text
);

CREATE TABLE "layout" (
	"username" text,
	"fstyle" text,
	"fweigth" text,
	"fcolor" text
);

CREATE TABLE "signature" (
	"username" text,
	"description" text,
	"stext" text,
	"object_id" integer
);

CREATE TABLE "sys_import_log" (
	"import_id" integer,
	"profile_id" integer,
	"created_from" text,
	"creating_date" timestamp with time zone,
	"import_table" text
);

CREATE TABLE "prg_pin_board" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"intfield04" integer,
	"intfield05" integer,
	"intfield06" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "prg_dates" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"fid" integer,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"intfield04" integer,
	"intfield05" integer,
	"intfield06" integer,
	"intfield07" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text
);

CREATE TABLE "prg_knowledge" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"intfield04" integer,
	"intfield05" integer,
	"intfield06" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "usr_data" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"login" text,
	"password" text,
	"privileges" text,
	"surname" text,
	"forename" text,
	"department" text,
	"version" text,
	"email" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text
);

CREATE TABLE "sys_import_fields" (
	"profile_id" integer,
	"pos" integer,
	"sys_fieldname" text,
	"alt_fieldname" text
);

CREATE TABLE "sys_import_profiles" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"profile_id" integer,
	"profile_name" text,
	"target_table" text,
	"description" text,
	"ow_skip" text,
	"separator" character varying(1),
	"last_sep" text,
	"version" text
);

CREATE TABLE "usr_general_rights" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"login" text,
	"addr_u" text,
	"addr_r" text,
	"addr_d" text,
	"cont_u" text,
	"cont_r" text,
	"cont_d" text,
	"data_u" text,
	"data_r" text,
	"data_d" text,
	"serie_u" text,
	"serie_r" text,
	"serie_d" text,
	"task_u" text,
	"task_r" text,
	"task_d" text,
	"refer" text,
	"proj_u" text,
	"proj_r" text,
	"proj_d" text,
	"dfolder_u" text,
	"dfolder_r" text,
	"dfolder_d" text,
	"doc_u" text,
	"doc_r" text,
	"doc_d" text,
	"knowl_u" text,
	"knowl_r" text,
	"knowl_d" text,
	"bfolder_u" text,
	"bfolder_r" text,
	"bfolder_d" text,
	"bookm_u" text,
	"bookm_r" text,
	"bookm_d" text,
	"pin_u" text,
	"pin_r" text,
	"pin_d" text,
	"forum_n" text,
	"fentrie_n" text,
	"setup" text,
	"pin_public" text,
	"internal" text,
	"int_groups" text,
	"kfolder_u" text,
	"kfolder_r" text,
	"kfolder_d" text,
	"webmail" text
);

CREATE TABLE "sys_groups" (
	"group_name" text,
	"domain" text,
	"description" text,
	"max_size" integer,
	"leader" text,
	"member" text
);

CREATE TABLE "usr_group_rights" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_bookmarks" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"intfield04" integer,
	"intfield05" integer,
	"intfield06" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "prg_forum_entries" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"intfield04" integer,
	"intfield05" integer,
	"intfield06" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "prg_notes" (
	"creating_date" timestamp with time zone NOT NULL,
	"created_from" text NOT NULL,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text NOT NULL,
	"group_right" text NOT NULL,
	"sid" text NOT NULL,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" int NOT NULL,
	"intfield02" int,
	"intfield03" int,
	"intfield04" int,
	"intfield05" int,
	"intfield06" int,
	"field01" text NOT NULL,
	"field02" text NOT NULL,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "usr_rights_profile" (
	"profile" text,
	"name" text,
	"description" text
);

CREATE TABLE "prg_calendar_month" (
	"version" text,
	"numeric_month" integer,
	"named_month" text
);


CREATE TABLE "prg_calendar_parameter" (
	"version" text,
	"startday" integer,
	"order_crit" integer,
	"named_text" text
);

CREATE TABLE "prg_date_rights" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);


CREATE TABLE "prg_dates_times" (
	"order_crit" integer,
	"times" text
);

CREATE TABLE "sys_file_backup" (
	"type" text,
	"filename" text,
	"content" text
);


CREATE TABLE "sys_export_profiles" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"profile_id" integer,
	"profile_name" text,
	"target_table" text,
	"description" text,
	"ow_skip" text,
	"separator" character varying(1),
	"last_sep" text,
	"version" text
);

CREATE TABLE "sys_export_fields" (
	"profile_id" integer,
	"pos" integer,
	"sys_fieldname" text,
	"alt_fieldname" text
);

CREATE TABLE "sys_conf" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"mailaddress" text,
	"mailserver" text
);

CREATE TABLE "sys_import" (
	"import_id" integer,
	"target_table" text,
	"profile_id" integer,
	"mode" text,
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"intfield04" integer,
	"intfield05" integer,
	"intfield06" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text,
	"field16" text,
	"field17" text,
	"field18" text,
	"field19" text,
	"field20" text,
	"field21" text,
	"field22" text,
	"field23" text,
	"field24" text,
	"field25" text,
	"field26" text,
	"field27" text,
	"field28" text,
	"field29" text,
	"field30" text,
	"field31" text,
	"field32" text,
	"field33" text,
	"field34" text,
	"field35" text,
	"field36" text,
	"field37" text,
	"field38" text,
	"field39" text,
	"field40" text,
	"field41" text,
	"field42" text,
	"field43" text,
	"field44" text,
	"field45" text,
	"field46" text,
	"field47" text,
	"field48" text,
	"field49" text,
	"field50" text,
	"field51" text,
	"field52" text,
	"field53" text,
	"field54" text,
	"field55" text,
	"field56" text,
	"field57" text,
	"field58" text,
	"field59" text,
	"field60" text,
	"field61" text,
	"field62" text,
	"field63" text,
	"field64" text,
	"field65" text,
	"field66" text,
	"field67" text,
	"field68" text,
	"field69" text,
	"field70" text,
	"field71" text,
	"field72" text,
	"field73" text,
	"field74" text,
	"field75" text,
	"field76" text,
	"field77" text,
	"field78" text,
	"field79" text,
	"field80" text,
	"timestampfield03" timestamp with time zone,
	"timestampfield04" timestamp with time zone
);

CREATE TABLE "usr_setup_rights" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"login" text,
	"d_sich" text,
	"d_reset" text,
	"site_builder" text,
	"site_layout" text,
	"user_u" text,
	"user_r" text,
	"user_d" text,
	"group_u" text,
	"group_r" text,
	"group_d" text,
	"usr_track" text,
	"calendar_setup" text,
	"task_track" text,
	"forum_d" text,
	"data_imp" text,
	"module" text,
	"mail_conf" text
);

CREATE TABLE "prg_forum_conf" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"days" integer,
	"entries" integer
);

CREATE TABLE "del_date_rights" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "del_dates" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"fid" integer,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"intfield04" integer,
	"intfield05" integer,
	"intfield06" integer,
	"intfield07" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text
);

CREATE TABLE "del_usr_group_rights" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "sys_import_usr" (
	"import_id" integer,
	"target_table" text,
	"profile_id" integer,
	"mode" text,
	"rights_profile" text,
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"login" text,
	"password" text,
	"privileges" text,
	"surname" text,
	"forename" text,
	"department" text,
	"version" text,
	"email" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text
);

CREATE TABLE "sys_gen_rights_template" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"login" text,
	"addr_u" text,
	"addr_r" text,
	"addr_d" text,
	"cont_u" text,
	"cont_r" text,
	"cont_d" text,
	"data_u" text,
	"data_r" text,
	"data_d" text,
	"serie_u" text,
	"serie_r" text,
	"serie_d" text,
	"task_u" text,
	"task_r" text,
	"task_d" text,
	"refer" text,
	"proj_u" text,
	"proj_r" text,
	"proj_d" text,
	"dfolder_u" text,
	"dfolder_r" text,
	"dfolder_d" text,
	"doc_u" text,
	"doc_r" text,
	"doc_d" text,
	"knowl_u" text,
	"knowl_r" text,
	"knowl_d" text,
	"bfolder_u" text,
	"bfolder_r" text,
	"bfolder_d" text,
	"bookm_u" text,
	"bookm_r" text,
	"bookm_d" text,
	"pin_u" text,
	"pin_r" text,
	"pin_d" text,
	"forum_n" text,
	"fentrie_n" text,
	"setup" text,
	"pin_public" text,
	"internal" text,
	"int_groups" text,
	"kfolder_u" text,
	"kfolder_r" text,
	"kfolder_d" text,
	"webmail" text
);

CREATE TABLE "sys_suse_setup_rights_template" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"login" text,
	"d_sich" text,
	"d_reset" text,
	"site_builder" text,
	"site_layout" text,
	"user_u" text,
	"user_r" text,
	"user_d" text,
	"group_u" text,
	"group_r" text,
	"group_d" text,
	"usr_track" text,
	"calendar_setup" text,
	"task_track" text,
	"forum_d" text,
	"data_imp" text,
	"module" text,
	"mail_conf" text
);

CREATE TABLE "prg_pin_board_read" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_date_resources" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_pin_board_mod" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_forum_read" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_forum_mod" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_contacts_linkage" (
	"intfield01" integer,
	"object_id" integer,
	"field01" text,
	"field02" text
);

CREATE TABLE "del_contacts" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"fid" int,
	"pid" int,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" integer,
	"intfield02" integer,
	"intfield03" integer,
	"intfield04" integer,
	"intfield05" integer,
	"intfield06" integer,
	"intfield07" integer,
	"intfield08" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text,
	"field16" text,
	"field17" text,
	"field18" text,
	"field19" text,
	"field20" text,
	"field21" text,
	"field22" text,
	"field23" text,
	"field24" text,
	"field25" text,
	"field26" text,
	"field27" text,
	"field28" text,
	"field29" text,
	"field30" text,
	"field31" text,
	"field32" text,
	"field33" text,
	"field34" text,
	"field35" text,
	"field36" text,
	"field37" text,
	"field38" text,
	"field39" text,
	"field40" text,
	"field41" text,
	"field42" text,
	"field43" text,
	"field44" text,
	"field45" text,
	"field46" text,
	"field47" text,
	"field48" text,
	"field49" text,
	"field50" text,
	"field51" text,
	"field52" text,
	"field53" text,
	"field54" text,
	"field55" text,
	"field56" text,
	"field57" text,
	"field58" text,
	"field59" text,
	"field60" text,
	"field61" text,
	"field62" text,
	"field63" text,
	"field64" text,
	"field65" text,
	"field66" text,
	"field67" text,
	"field68" text,
	"field69" text,
	"field70" text,
	"field71" text,
	"field72" text,
	"field73" text,
	"field74" text,
	"field75" text,
	"field76" text,
	"field77" text,
	"field78" text,
	"field79" text,
	"field80" text,
	"field81" text,
	"field82" text,
	"field83" text,
	"field84" text,
	"field85" text,
	"field86" text,
	"field87" text,
	"field88" text,
	"field89" text,
	"field90" text,
	"field91" text,
	"field92" text,
	"field93" text,
	"field94" text,
	"field95" text,
	"field96" text,
	"field97" text,
	"field98" text,
	"field99" text,
	"timestampfield03" timestamp with time zone,
	"timestampfield04" timestamp with time zone,
	"image01" bytea
);

CREATE TABLE "prg_forum_abo" (
	"object_id" int,
	"creating_date" timestamp with time zone,
	"created_from" text,
	"user_right" text,
	"email" text,
	"forum_id" int
);

CREATE TABLE "prg_projects_milestones" (
	"object_id" int,
	"sid" int,
	"created_from" text,
	"creating_date" timestamp with time zone,
	"changed_from" text,
	"changing_date" timestamp with time zone,
	"user_right" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"title" text,
	"description" text
);

CREATE TABLE "prg_forums" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" int,
	"intfield02" int,
	"intfield03" int,
	"intfield04" int,
	"intfield05" int,
	"intfield06" int,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"archiv" text
);

CREATE TABLE "prg_projects" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"timestampfield03" timestamp with time zone,
	"intfield01" integer,
	"intfield02" double precision,
	"intfield03" double precision,
	"intfield04" real,
	"intfield05" integer,
	"intfield06" integer,
	"intfield07" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text,
	"field16" text,
	"field17" text,
	"field18" text,
	"field19" text,
	"field20" text
);

CREATE TABLE "del_dates_members" (
	"object_id" int,
	"member_uid" text,
	"member_name" text,
	"confirm" text,
	"reason" text,
	"pfid" integer
);

CREATE TABLE "prg_docufolders" (
	"creating_date" timestamp with time zone NOT NULL,
	"created_from" text NOT NULL,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text NOT NULL,
	"group_right" text NOT NULL,
	"sid" text NOT NULL,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" int NOT NULL,
	"intfield02" int,
	"intfield03" int,
	"intfield04" int,
	"intfield05" int,
	"intfield06" int,
	"field01" text NOT NULL,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "prg_documents" (
	"creating_date" timestamp with time zone NOT NULL,
	"created_from" text NOT NULL,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text NOT NULL,
	"group_right" text NOT NULL,
	"sid" text NOT NULL,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" int NOT NULL,
	"intfield02" int NOT NULL,
	"intfield03" int,
	"intfield04" int,
	"intfield05" int,
	"intfield06" int,
	"field01" text NOT NULL,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "prg_documents_files" (
	"creating_date" timestamp with time zone NOT NULL,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text NOT NULL,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" int NOT NULL,
	"intfield02" int NOT NULL,
	"intfield03" int NOT NULL,
	"intfield04" int,
	"intfield05" int,
	"intfield06" int,
	"field01" text NOT NULL,
	"field02" text,
	"field03" text NOT NULL,
	"field04" text NOT NULL,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE attachments (
	id bigint PRIMARY KEY,
	module text NOT NULL,
	attachedto bigint NOT NULL,
	filename text NOT NULL,
	filestoragename text NOT NULL,
	lastmodified timestamp with time zone NOT NULL,
	mimetype text NOT NULL,
	size bigint NOT NULL
);

CREATE TABLE "prg_bookmarks_folder" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" int,
	"intfield02" int,
	"intfield03" int,
	"intfield04" int,
	"intfield05" int,
	"intfield06" int,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "prg_contacts" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"fid" int,
	"pid" int,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" int,
	"intfield02" int,
	"intfield03" int,
	"intfield04" int,
	"intfield05" int,
	"intfield06" int,
	"intfield07" integer,
	"intfield08" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text,
	"field16" text,
	"field17" text,
	"field18" text,
	"field19" text,
	"field20" text,
	"field21" text,
	"field22" text,
	"field23" text,
	"field24" text,
	"field25" text,
	"field26" text,
	"field27" text,
	"field28" text,
	"field29" text,
	"field30" text,
	"field31" text,
	"field32" text,
	"field33" text,
	"field34" text,
	"field35" text,
	"field36" text,
	"field37" text,
	"field38" text,
	"field39" text,
	"field40" text,
	"field41" text,
	"field42" text,
	"field43" text,
	"field44" text,
	"field45" text,
	"field46" text,
	"field47" text,
	"field48" text,
	"field49" text,
	"field50" text,
	"field51" text,
	"field52" text,
	"field53" text,
	"field54" text,
	"field55" text,
	"field56" text,
	"field57" text,
	"field58" text,
	"field59" text,
	"field60" text,
	"field61" text,
	"field62" text,
	"field63" text,
	"field64" text,
	"field65" text,
	"field66" text,
	"field67" text,
	"field68" text,
	"field69" text,
	"field70" text,
	"field71" text,
	"field72" text,
	"field73" text,
	"field74" text,
	"field75" text,
	"field76" text,
	"field77" text,
	"field78" text,
	"field79" text,
	"field80" text,
	"field81" text,
	"field82" text,
	"field83" text,
	"field84" text,
	"field85" text,
	"field86" text,
	"field87" text,
	"field88" text,
	"field89" text,
	"field90" text,
	"field91" text,
	"field92" text,
	"field93" text,
	"field94" text,
	"field95" text,
	"field96" text,
	"field97" text,
	"field98" text,
	"field99" text,
	"timestampfield03" timestamp with time zone,
	"timestampfield04" timestamp with time zone,
	"image01" bytea
);

CREATE TABLE "prg_knowledge_folder" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"intfield01" int,
	"intfield02" int,
	"intfield03" int,
	"intfield04" int,
	"intfield05" int,
	"intfield06" int,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text
);

CREATE TABLE "initworkerdb" (
	"bfno" text
);

CREATE TABLE "sys_holiday" (
	"uniqueid" int,
	"lang" text,
	"hdate" date,
	"userid" text,
	"titel" text,
	"type" int4
);

CREATE TABLE "usr_holiday" (
	"uniqueid" int,
	"object_id" int,
	"userid" text,
	"clevel" int
);

CREATE TABLE "usrdata" (
	"username" text,
	"replyto" text,
	"vcard" text,
	"signature" text,
	"quotation" text,
	"savecopy" text,
	"htmlview" text,
	"delete" text,
	"maxrows" integer,
	"defaultmail" text,
	"bugtrack" boolean,
	"mailheader" text,
	"disposition" text,
	"address_sel" text,
	"preview" text,
	"htmlcompose" text,
	"compose_type" text,
	"color_quotation" text,
	"graphical_emoticons" text,
	"line_wrap" integer,
	"forward" text,
	"signature_pos" text
);

CREATE TABLE "usr_settings" (
	"username" text,
	"mailoption1" text,
	"mailoption2" text,
	"mailoption3" text,
	"area1" text,
	"area2" text,
	"area3" text,
	"area4" text,
	"area5" text,
	"area6" text,
	"area_pos" text
);

CREATE TABLE "prg_tasks" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"fid" integer,
	"order_crit" text,
	"seq_pos" integer,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"timestampfield03" timestamp with time zone,
	"intfield01" integer,
	"intfield02" double precision,
	"intfield03" double precision,
	"intfield04" double precision,
	"intfield05" double precision,
	"intfield06" integer,
	"intfield07" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" integer,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text,
	"field16" text,
	"field17" text,
	"field18" text,
	"field19" text,
	"field20" text
);

CREATE TABLE "del_tasks" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"fid" integer,
	"order_crit" text,
	"seq_pos" integer,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"timestampfield03" timestamp with time zone,
	"intfield01" integer,
	"intfield02" double precision,
	"intfield03" double precision,
	"intfield04" double precision,
	"intfield05" double precision,
	"intfield06" integer,
	"intfield07" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" integer,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text,
	"field16" text,
	"field17" text,
	"field18" text,
	"field19" text,
	"field20" text
);

CREATE TABLE "prg_tasks_members" (
	"object_id" integer,
	"member_uid" text,
	"member_name" text,
	"confirm" text,
	"reason" text,
	"pfid" integer
);

CREATE TABLE "del_tasks_members" (
	"object_id" integer,
	"member_uid" text,
	"member_name" text,
	"confirm" text,
	"reason" text,
	"pfid" integer
);

CREATE TABLE "prg_tasks_rights" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "del_tasks_rights" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_tasks_notification" (
	"object_id" integer,
	"member_uid" text,
	"notification" text
);

CREATE TABLE "prg_dates_members" (
	"object_id" integer,
	"member_uid" text,
	"member_name" text,
	"confirm" text,
	"reason" text,
	"pfid" integer
);

CREATE TABLE "prg_date_notification" (
	"object_id" integer,
	"member_uid" text,
	"notification" text
);

CREATE TABLE "prg_projects_members" (
	"object_id" integer,
	"member_uid" text,
	"member_name" text,
	"confirm" text,
	"reason" text
);

CREATE TABLE "prg_projects_notification" (
	"object_id" integer,
	"member_uid" text,
	"notification" text
);

CREATE TABLE "prg_projects_rights" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_bookmarks_folder_mod" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_bookmarks_folder_read" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_bookmarks_mod" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_bookmarks_read" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_docufolders_mod" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_docufolders_read" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_documents_mod" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_documents_read" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_forum_seen" (
	"forum_id" integer,
	"object_id" integer,
	"username" text
);

CREATE TABLE "prg_knowledge_folder_mod" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_knowledge_folder_read" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_knowledge_mod" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "prg_knowledge_read" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "del_projects" (
	"creating_date" timestamp with time zone,
	"created_from" text,
	"changing_date" timestamp with time zone,
	"changed_from" text,
	"user_right" text,
	"group_right" text,
	"sid" text,
	"tid" text,
	"order_crit" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"timestampfield03" timestamp with time zone,
	"intfield01" integer,
	"intfield02" double precision,
	"intfield03" double precision,
	"intfield04" double precision,
	"intfield05" double precision,
	"intfield06" integer,
	"intfield07" integer,
	"field01" text,
	"field02" text,
	"field03" text,
	"field04" text,
	"field05" text,
	"field06" text,
	"field07" text,
	"field08" text,
	"field09" text,
	"field10" text,
	"field11" text,
	"field12" text,
	"field13" text,
	"field14" text,
	"field15" text,
	"field16" text,
	"field17" text,
	"field18" text,
	"field19" text,
	"field20" text
);

CREATE TABLE "del_projects_members" (
	"object_id" integer,
	"member_uid" text,
	"member_name" text,
	"confirm" text,
	"reason" text
);

CREATE TABLE "del_projects_rights" (
	"object_id" integer,
	"group_right" text,
	"user_right" text
);

CREATE TABLE "del_projects_milestones" (
	"object_id" int,
	"sid" int,
	"created_from" text,
	"creating_date" timestamp with time zone,
	"changed_from" text,
	"changing_date" timestamp with time zone,
	"user_right" text,
	"timestampfield01" timestamp with time zone,
	"timestampfield02" timestamp with time zone,
	"title" text,
	"description" text
);

CREATE TABLE "sys_linkage" (
	"changing_date" timestamp with time zone NOT NULL,
	"luid" int NOT NULL,
	"source_id" int NOT NULL,
	"src_table" text NOT NULL,
	"src_field" text NOT NULL,
	"target_id" int NOT NULL,
	"trg_table" text NOT NULL,
	"trg_field" text NOT NULL
);

CREATE TABLE "links" (
	"id" bigint PRIMARY KEY,
	"lastmodified" timestamp with time zone NOT NULL,
	"firstid" bigint NOT NULL,
	"firstmodule" text NOT NULL,
	"secondid" bigint NOT NULL,
	"secondmodule" text NOT NULL
);

CREATE TABLE "del_linkage" (
	"changing_date" timestamp with time zone NOT NULL,
	"luid" int NOT NULL,
	"source_id" int NOT NULL,
	"src_table" text NOT NULL,
	"src_field" text NOT NULL,
	"target_id" int NOT NULL,
	"trg_table" text NOT NULL,
	"trg_field" text NOT NULL
);

CREATE TABLE "oxfolder_tree" (
        "fuid" int,
        "parent" int,
        "fname" text,
        "module" text,
        "type" text,
        "owner" text,
        "creator" text,
        "creating_date" timestamp with time zone,
        "created_from" text,
        "changing_date" timestamp with time zone,
        "changed_from" text
);
  	 
CREATE TABLE "oxfolder_permissions" (
        "puid" int,
	"pid" int,
	"role" int,
	"entity" text,
	"sealed" int,
	"fp" int,	
        "orp" int,
        "owp" int,
        "odp" int
);
	 
CREATE TABLE "oxfolder_standardfolders" (
        "owner" text,
        "module_calendar" int,
        "module_task" int,
        "module_contact" int
);

CREATE TABLE "oxfolder_specialfolders" (
       "tag" text,
       "fuid" int
);

CREATE TABLE "del_oxfolder_tree" (
        "fuid" int,
        "parent" int,
        "fname" text,
        "module" text,
        "type" text,
        "owner" text,
        "creator" text,
        "creating_date" timestamp with time zone,
        "created_from" text,
        "changing_date" timestamp with time zone,
        "changed_from" text
);
  	 
CREATE TABLE "del_oxfolder_permissions" (
        "puid" int,
        "pid" int,
        "role" int,
        "entity" text,
        "sealed" int,
        "fp" int,
        "orp" int,
        "owp" int,
        "odp" int
);

INSERT INTO oxfolder_tree VALUES (1, 0, 'private', 'system', 'system','system', 'system', 'now', 'System');
INSERT INTO oxfolder_tree VALUES (2, 0, 'public', 'system', 'system','system', 'system', 'now', 'System');
INSERT INTO oxfolder_tree VALUES (3, 0, 'shared', 'system', 'system','system', 'system', 'now', 'System');
INSERT INTO oxfolder_tree VALUES (4, 0, 'system', 'system', 'system','system', 'system', 'now', 'System');
INSERT INTO oxfolder_tree VALUES (5, 4, 'system_global', 'contact', 'system','system', 'system', 'now', 'System');
INSERT INTO oxfolder_tree VALUES (6, 4, 'system_ldap', 'contact', 'system','system', 'system', 'now', 'System');

INSERT INTO oxfolder_permissions VALUES ((select nextval('serial_id')), 1, 512,'all_ox_users_and_ox_groups', 0, 8, 0, 0, 0);
INSERT INTO oxfolder_permissions VALUES ((select nextval('serial_id')), 2, 512, 'all_ox_users_and_ox_groups', 0, 8, 0, 0, 0);
INSERT INTO oxfolder_permissions VALUES ((select nextval('serial_id')), 3, 512, 'all_ox_users_and_ox_groups', 0, 2, 0, 0, 0);
INSERT INTO oxfolder_permissions VALUES ((select nextval('serial_id')), 4, 512, 'all_ox_users_and_ox_groups', 0, 2, 0, 0, 0);
INSERT INTO oxfolder_permissions VALUES ((select nextval('serial_id')), 5, 512, 'all_ox_users_and_ox_groups', 0, 4, 128, 128, 128);
INSERT INTO oxfolder_permissions VALUES ((select nextval('serial_id')), 6, 512, 'all_ox_users_and_ox_groups', 0, 2, 4, 0, 0);

INSERT INTO oxfolder_specialfolders VALUES ('private', 1);
INSERT INTO oxfolder_specialfolders VALUES ('public', 2);
INSERT INTO oxfolder_specialfolders VALUES ('shared', 3);
INSERT INTO oxfolder_specialfolders VALUES ('system', 4);
INSERT INTO oxfolder_specialfolders VALUES ('system_global', 5);
INSERT INTO oxfolder_specialfolders VALUES ('system_ldap', 6);
